%define name dokuwiki
%define version 20050713
%define release %mkrel 1
%define name_src %{name}-2005-07-13

Summary	: A wiki with plain text files backend
Name	: %{name}
Version	: %{version}
Release	: %{release}
Source0	: %{name_src}.tar.bz2
Patch100: config.patch.bz2
License	: GPL 
Group	: System/Servers
Url	: http://wiki.splitbrain.org/wiki:dokuwiki 
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

AutoReqProv: no
Requires(pre): rpm-helper
Requires: apache >= 2.0.54
Requires: mod_php >= 2.0.54

%description
DokuWiki is a standards compliant, simple to use Wiki, mainly aimed at creating 
documentation of any kind. All data is stored in plain text files 
- no database is required.

%prep
%setup -q -n %{name_src}
%patch100 -p1
find . -name '.htaccess' | xargs rm -f

%build


%install
rm -rf $RPM_BUILD_ROOT

%__mkdir_p -m 755 $RPM_BUILD_ROOT%{_var}/log/%{name}
%__mkdir_p -m 755 $RPM_BUILD_ROOT%{_var}/www/%{name}
%__cp -p {feed,doku,index}.php $RPM_BUILD_ROOT%{_var}/www/%{name}
%__cp -pR inc/ lib/ $RPM_BUILD_ROOT%{_var}/www/%{name}

%__mkdir_p -m 755 $RPM_BUILD_ROOT%{_localstatedir}/%{name}/data
cp -pR data/pages data/meta data/media data/locks data/attic $RPM_BUILD_ROOT%{_localstatedir}/%{name}/data

%{__install} -d -m 755 $RPM_BUILD_ROOT%{_var}/cache/%{name}

%{__install} -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
cp -p conf/* $RPM_BUILD_ROOT%{_sysconfdir}/%{name} 
(cd $RPM_BUILD_ROOT%{_var}/www/%{name} && %__ln_s ../../../etc/%{name} conf)

%{__install} -d -m 755 $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}-%{version}
cp -p README VERSION COPYING $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}-%{version}

%{__install} -d -m 755 %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d
cat >>  $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf <<EOF
Alias /dokuwiki %{_var}/www/%{name}
<Directory "/var/www/dokuwiki">
  Order allow,deny
  Allow from All
  DirectoryIndex doku.php
  DirectorySlash On 

## Uncomment these rules in if you want to have nice URLs
#RewriteEngine on
#RewriteRule ^$                        doku.php  [L]
#RewriteCond %{REQUEST_FILENAME}       !-f
#RewriteCond %{REQUEST_FILENAME}       !-d
#RewriteRule (.*)                      doku.php?id=$1  [QSA,L]
#RewriteRule ^index.php$               doku.php
</Directory>

<Directory "/var/www/dokuwiki/inc/lang">
  Order allow,deny
  Deny from All 
</Directory>
EOF
	
%clean
rm -rf $RPM_BUILD_ROOT

%post
%create_ghostfile /var/lib/dokuwiki/data/changes.log apache apache 640
%_post_webapp


%postun
%_postun_webapp

%files
%defattr(-,root,root)
%doc README VERSION COPYING
%dir %{_var}/www/%{name}
%{_var}/www/%{name}/*.php
%{_var}/www/%{name}/inc
%{_var}/www/%{name}/lib
%{_var}/www/%{name}/conf

%dir %{_localstatedir}/%{name}
%attr(775,apache,apache) %{_localstatedir}/%{name}/data/meta
%attr(775,apache,apache) %{_localstatedir}/%{name}/data/locks
%attr(775,apache,apache) %{_localstatedir}/%{name}/data/attic
%attr(775,apache,apache) %{_localstatedir}/%{name}/data/pages
%attr(775,apache,apache) %{_localstatedir}/%{name}/data/media

%dir %attr(775,apache,apache) %{_var}/cache/%{name}

%config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf

%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.php
%config(noreplace) %{_sysconfdir}/%{name}/*.dist
%config(noreplace) %{_sysconfdir}/%{name}/*.conf

%changelog
* Sat Jul 23 2005 Michael Scherer <misc@mandriva.org> 20050713-1mdk
- from roudoudou <roudoud0u@free.fr>
  - Initial Mandriva rpm package
